Bug 431932 - koji should link to bugzilla
koji should link to bugzilla
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 16:54 EST by Jack Tanner
Modified: 2013-01-09 20:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 10:06:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2008-02-07 16:54:40 EST
Package changelogs viewable through koji may contain notes to bugs. These should
be hyperlinked.

For example, http://koji.fedoraproject.org/koji/buildinfo?buildID=32507 contains
references like rhbz#317041. These should link to Redhat's Bugzilla.
Comment 1 Mike McLean 2008-02-07 19:04:33 EST
interesting idea, but very specific to fedoraproject.org. This is something to
consider when we add plugin capabilities to koji.

You you look at: http://fedoraproject.org/wiki/MyFedora
This may be a better place to handle this sort of integration.
Comment 2 Jesse Keating 2008-02-08 10:06:05 EST
Also, the content listed is just a raw dump of the %changelog content in the rpm
spec file itself.  No processing is done on it to try and recognize linkable
material, and that would likely slow things down a bit when loading that content
(some rpms have /huge/ amounts of changelog).  I would pretty well NAK this
feature request.
Comment 3 Jack Tanner 2008-02-08 12:10:25 EST
Too bad. Sure this is specific for fedoraproject.org, but that's Koji's single
most important user. To make it more portable, I suppose you could set a field
that says "linkify bugzilla entries w.r.t. this base URL", and "process
changelogs for bugzilla entries w/ this regexp".

What's the largest changelog of all the RPMs now in Fedora? Just for kicks... I
don't have a huge changelog handy, but on an input text file of 3.2MBs:

$ time grep '[0-9][0-9]*' eng.train | wc -l
19159

real    0m0.624s
user    0m0.618s
sys     0m0.008s

This is a one-time cost, right? And there must be some sort of escaping done on
the changelogs already.
Comment 4 Mike McLean 2008-02-08 15:23:52 EST
Unlike Jesse I'm not rejecting this entirely, but I do stand by my previous
comments.

Note You need to log in before you can comment on or make changes to this bug.